unit colrTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, ExtCtrls, Clrgrid;

type
  TfrmMain = class(TForm)
    ColorStringGrid1: TColorStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure ColorStringGrid1GetCellColor(Sender: TObject; ARow,
      ACol: Longint; AState: TGridDrawState; ABrush: TBrush; AFont: TFont);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
   with ColorStringGrid1 do
   begin
        Cells[0,0]:='Name';
        Cells[1,0]:='Q1';
        Cells[2,0]:='Q2';
        Cells[3,0]:='Q3';
        Cells[4,0]:='Q4';
        Cells[0,1]:='Tom';
        Cells[0,2]:='Joe';
        Cells[0,3]:='John';
        Cells[0,4]:='Kent';
        Cells[1,1]:='34';
        Cells[1,2]:='15';
        Cells[1,3]:='81';
        Cells[1,4]:='62';
        Cells[2,1]:='45';
        Cells[2,2]:='55';
        Cells[2,3]:='87';
        Cells[2,4]:='67';
        Cells[3,1]:='52';
        Cells[3,2]:='51';
        Cells[3,3]:='22';
        Cells[3,4]:='54';
        Cells[4,1]:='22';
        Cells[4,2]:='12';
        Cells[4,3]:='13';
        Cells[4,4]:='66';
   end;
end;

procedure TfrmMain.ColorStringGrid1GetCellColor(Sender: TObject; ARow,
  ACol: Longint; AState: TGridDrawState; ABrush: TBrush; AFont: TFont);
begin
   if ACol=3 then
     ABrush.Color := clYellow;
   if ARow=3 then
   begin
        AFont.Color := clRed;
        AFont.Name := 'Arial';
        AFont.Size := 10;
   end;
end;

end.
